Bug Hunting Session
Bug 101977 - TRACK CHANGES: More uno commands for accepting/rejecting changes
Summary: TRACK CHANGES: More uno commands for accepting/rejecting changes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0 target:6.4.0
Keywords: needsUXEval
: 83956 (view as bug list)
Depends on:
Blocks: Track-Changes UNO-Command-New
  Show dependency treegraph
 
Reported: 2016-09-07 20:09 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-09-10 08:53 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Accept This Change and Accept and Move to Next use Similar Icon (57.34 KB, image/jpeg)
2019-09-06 23:29 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-07 20:09:10 UTC
As we reverted the change of bug 83953 in bug 90597, we need uno commands for 'Accept Change and Next' and 'Reject Change and Next'. We also need uno commands for 'Accept All Changes' and 'Reject All Changes' as these commands are available in the track changes dialog but dont have uno commands.
Comment 1 Heiko Tietze 2016-11-30 08:45:54 UTC
Jay, please double check with bug 83956. Better we have only one ticket regarding uno commands.
Comment 2 Yousuf Philips (jay) (retired) 2016-11-30 22:52:41 UTC
*** Bug 83956 has been marked as a duplicate of this bug. ***
Comment 3 Commit Notification 2017-11-08 03:29:36 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2db44bd017daac8f668393bca24911e95125857a

sw lok: add Accept/Reject All tracked changes, tdf#101977

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2017-11-08 12:41:21 UTC
Thanks for the patch Henry, but please remove the new uno commands from the context menus.
Comment 5 Commit Notification 2017-11-08 15:24:19 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71c497d0eff0fc4179f31512c75029c48a1c9407

tdf#101977: remove accept/reject all from context menus

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2017-11-08 20:31:54 UTC
Henry, the description also requested 'Accept Change and Next' and 'Reject Change and Next' uno commands.
Comment 7 Xisco Faulí 2017-12-10 17:07:35 UTC
(In reply to Yousuf Philips (jay) from comment #6)
> Henry, the description also requested 'Accept Change and Next' and 'Reject
> Change and Next' uno commands.

Hi Yousuf,
Should it be reported in a follow-up bug or are those the remaining pieces to close this issue?
Comment 8 Yousuf Philips (jay) (retired) 2017-12-10 22:34:26 UTC
(In reply to Xisco Faulí from comment #7)
> Should it be reported in a follow-up bug or are those the remaining pieces
> to close this issue?

Yes the addition of the two uno commands in comment 6 are what is remaining to close this bug.
Comment 9 Xisco Faulí 2018-03-12 10:36:10 UTC Comment hidden (obsolete)
Comment 10 Henry Castro 2018-03-12 11:27:00 UTC Comment hidden (obsolete)
Comment 11 Gabor Kelemen 2019-07-31 18:34:30 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/76719/

There are also two more commands in Word that we don't offer:
Accept/Reject all and stop tracking changes

Do we want to have such from UX POV?
Comment 12 Heiko Tietze 2019-08-01 06:56:07 UTC
(In reply to Gabor Kelemen from comment #11)
> There are also two more commands in Word that we don't offer:
> Accept/Reject all and stop tracking changes

We have Accept/Reject All and I don't see a reason for Stop. Or rather we have it with Record and Show.
Comment 13 Gabor Kelemen 2019-08-01 08:20:43 UTC
(In reply to Heiko Tietze from comment #12)
> (In reply to Gabor Kelemen from comment #11)
> > There are also two more commands in Word that we don't offer:
> > Accept/Reject all and stop tracking changes
> 
> We have Accept/Reject All and I don't see a reason for Stop. Or rather we
> have it with Record and Show.

I'm not sure you understood my wording, sorry. Let me try again.

Word has "Accept all changes and stop tracking" and "Reject all changes and stop tracking". I guess they provide it as one-stop "finish this change tracking nonsense quickly" commands.
Now that we have "Accept all changes" and "Reject all changes" it would be simple to combine them with turning off "Record changes" - to get equivalent commands to what Word has.

Is it okay to have such? Our users have not yet explicitly requested it (only accept / reject & move to next), but I'd wager they would start noticing the lack of "what they are used to".
Comment 14 Heiko Tietze 2019-08-01 08:44:12 UTC
(In reply to Gabor Kelemen from comment #13)
> Is it okay to have such?

Sounds like an overkill to me. MS bloats the UI just to avoid clicking two buttons. Wouldn't do that.
Comment 15 Heiko Tietze 2019-08-03 07:14:21 UTC
Shouldn't we better always jump to the next item? Why would anyone want to stay at the same item?
Comment 16 Gabor Kelemen 2019-08-04 18:46:55 UTC
(In reply to Heiko Tietze from comment #15)
> Shouldn't we better always jump to the next item? Why would anyone want to
> stay at the same item?

I must agree; this is also the default behavior of Word.

So: how about changing the toolbar to hide the Accept/Reject buttons and show Accept and jump / Reject and jump (once my patch + some new icons is merged) instead?
Targeting power users of 30 page & 200 change documents.
Comment 17 Thomas Lendo 2019-08-06 22:38:10 UTC
(In reply to Yousuf Philips (jay) (retired) from comment #0)
> ... we need uno commands
> for 'Accept Change and Next' and 'Reject Change and Next'. We also need uno
> commands for 'Accept All Changes' and 'Reject All Changes' as these commands
> are available in the track changes dialog but dont have uno commands.
The missing commands requested from Jay should be implemented and they should be available somewhere in the UI in addition to the menu.
Comment 18 Commit Notification 2019-09-04 12:34:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1496a1831d1be0a2d24be9fe3ecf627b2664e938%5E%21

tdf#101977 change tracking: add 'Accept/Reject and jump to next' commands

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 László Németh 2019-09-04 12:34:56 UTC
Note: we need new icons for the extended Track Changes toolbar.
Comment 20 Rizal Muttaqin 2019-09-06 23:29:17 UTC
Created attachment 153998 [details]
Accept This Change and Accept and Move to Next use Similar Icon
Comment 21 Rizal Muttaqin 2019-09-07 14:12:13 UTC
@Andreas Kainz, this might be added to the menubar (Edit > Track Changes ) as well as in Tabbed interface (Review)
Comment 22 Gabor Kelemen 2019-09-10 08:53:59 UTC
(In reply to Rizal Muttaqin from comment #21)
> @Andreas Kainz, this might be added to the menubar (Edit > Track Changes )

That makes no sense. See the first comment from Heiko in https://gerrit.libreoffice.org/#/c/76719/ 

These commands are for working quickly, and digging two levels into the main menu is not a good start for that.